Bug 987942 - Provide product branding for kie-drools workbench and kie-jbpm workbench
Provide product branding for kie-drools workbench and kie-jbpm workbench
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Edson Tirelli
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 08:46 EDT by Rajesh Rajasekaran
Modified: 2014-08-06 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files needed for Product Branding (148.72 KB, application/zip)
2013-07-30 11:50 EDT, Juanma
no flags Details
logos for kie-wb and kie-drools-wb (11.02 KB, application/x-zip-compressed)
2013-07-31 10:03 EDT, Neus Miras
no flags Details
latest logos resized (9.08 KB, application/x-zip-compressed)
2013-07-31 10:47 EDT, Neus Miras
no flags Details

  None (edit)
Description Rajesh Rajasekaran 2013-07-24 08:46:43 EDT
Description of problem:
Provide product related branding for all consoles in kie-drools workbench and kie-jbpm workbench. 

Version-Release number of selected component (if applicable):
6.0.0 DR6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Community logos, titles and stylesheets

Expected results:
Product logos, titles and stylesheets

Additional info:
Comment 1 Juanma 2013-07-30 11:50:07 EDT
Created attachment 780727 [details]
Files needed for Product Branding

This is the instructions for customizing login pages.
I attach a zip file with the needed components

The images directory and styles directory, we will put in the next path:
/kie-wb-distributions/kie-wb/kie-wb-webapp/src/main/webapp/

After, we put the login.jsp, we have two files, one for BPMS and other for BRMS:

The first (BPMS) it's in its corresponding folder and we will put inthe following path:
kie-wb-distributions/kie-wb/kie-wb-webapp/src/main/webapp/login.jsp

For the second (BRMS) the path is:
kie-wb-distributions/kie-drools-wb/kie-drools-wb-webapp/src/main/webapp/login.jsp

Now, I'm working in Branding of the internal pages
Comment 3 Neus Miras 2013-07-31 10:03:25 EDT
Created attachment 781148 [details]
logos for kie-wb and kie-drools-wb
Comment 4 Neus Miras 2013-07-31 10:09:32 EDT
Instructions needed for Product Branding

1. Add logo widget to modules kie-wb and kie-drools-wb
Deploy the commit with cherrypick ...commit 34e8ec34f3e3d47b82f4690f41d07fe829ca5d51

2. Update logo files for each module:
kie-wb:
Replace file logo.png with attached file RH_JBoss_BPMS_Logo.png in path
/kie-wb-distributions/kie-wb/kie-wb-webapp/src/main/resources/org/kie/workbench/client/resources/images/

kie-drools-wb:
Replace file logo.png with attached file  RH_JBoss_BRMS_Logo.png in path
kie-wb-distributions/kie-drools-wb/kie-drools-wb-webapp/src/main/resources/org/kie/workbench/drools/client/resources/images/
Comment 6 Neus Miras 2013-07-31 10:47:24 EDT
Created attachment 781188 [details]
latest logos resized
Comment 9 Marek Baluch 2013-09-04 06:47:06 EDT
Verified on ER2.

Note You need to log in before you can comment on or make changes to this bug.